export default {
  name: 'System',
  path: '/system',
  redirect: { name: 'CustomerManage' },
  meta: {
    title: '系统管理',
    sort: 2,
    isModule: true,
  },
  children: [
    {
      name: 'ConfigManage',
      path: '/system/config-manage',
      redirect: { name: 'CustomerManage' },
      meta: {
        title: '配置管理',
        sort: 1,
        icon: 'setting',
      },
      children: [
        {
          name: 'CustomerManage',
          path: '/system/config-manage/customer-manage',
          component: () =>
            import('@/views/system/config-manage/customer-manage/index.vue'),
          meta: {
            title: '客户配置',
            sort: 1,
          },
        },
        {
          name: 'SupplierManage',
          path: '/system/config-manage/supplier-manage',
          component: () =>
            import('@/views/system/config-manage/supplier-manage/index.vue'),
          meta: {
            title: '供应商配置',
            sort: 1,
          },
        },
        {
          name: 'DeviceManage',
          path: '/system/config-manage/device-manage',
          component: () =>
            import('@/views/system/config-manage/device-manage/index.vue'),
          meta: {
            title: '设备配置',
            sort: 1,
          },
        },
        {
          name: 'ServiceLevelManage',
          path: '/system/config-manage/service-level-manage',
          component: () =>
            import(
              '@/views/system/config-manage/service-level-manage/index.vue'
            ),
          meta: {
            title: '服务档位配置',
            sort: 1,
          },
        },
        {
          name: 'CheckinManage',
          path: '/system/config-manage/checkin-manage',
          component: () =>
            import('@/views/system/config-manage/checkin-manage/index.vue'),
          meta: {
            title: '考勤配置',
            sort: 1,
          },
        },
      ],
    },
    {
      name: 'NoticeLog',
      path: '/system/notice-log',
      redirect: { name: 'NoticeManage' },
      meta: {
        title: '通知日志',
        sort: 1,
        icon: 'root-list',
      },
      children: [
        {
          name: 'NoticeManage',
          path: '/system/notice-log/notice-manage',
          component: () =>
            import('@/views/system/notice-log/notice-manage/index.vue'),
          meta: {
            title: '通知公告管理',
            sort: 1,
          },
        },
        {
          name: 'LogManage',
          path: '/system/notice-log/log-manage',
          component: () =>
            import('@/views/system/notice-log/log-manage/index.vue'),
          meta: {
            title: '日志查询',
            sort: 2,
          },
        },
      ],
    },
  ],
};
